function __status_add_edit() {
    $(function () {
        var timepickers = $('.timepicker');
        var datepicker = $('.haspicker');
        timepickers.timepicker({
            timeFormat: 'H:i',
            showDuration: true
        }).eq(0).on('changeDate change', function (x) {
            timepickers.eq(1).timepicker('option', 'minTime', $(this).timepicker('getTime'))
        }).end().eq(1).on('changeDate change', function (x) {
            var end = $(this).timepicker('getTime'),
                start = timepickers.eq(0).timepicker('getTime');

            if (end.getTime() - start.getTime() <= 0) {
                var date = getFieldDate(datepicker.eq(1)),
                    date2 = getFieldDate(datepicker.eq(2)),
                    days = (date.getDate() + 1).toString(),
                    month = (date.getMonth() + 1).toString(),
                    format = __dateformat;
                if (!isNaN(date.getTime()) && (isNaN(date2.getTime()) || date.getTime() >= date2.getTime()))
                    datepicker.eq(2).val(
                        format.replace('d', days.length < 2 ? "0" + days : days)
                        .replace('m', month.length < 2 ? "0" + month : month)
                        .replace('Y', date.getFullYear())
                        );
            }
        });
        datepicker.eq(1).change(function () {
            datepicker.eq(2).dpSetStartDate($(this).val());
        });
        function getFieldDate(datepicker) {
            var value = datepicker.val(),
                format = __dateformat, delim = format.replace(/[^-\/\.]/g, '').charAt(0), parts = value.split(delim),
                formatparts = format.split(delim);
            return new Date(parts[formatparts.indexOf('Y')], parts[formatparts.indexOf('m')] - 1, parts[formatparts.indexOf('d')])
        }


        $('#status-notify input').on('change', function () {
            var self = $(this)
            $('#status-notify-config').toggle(self.is(':checked'))
        }).trigger('change')

        $('#status-notify-config select.chosen').chosenedge({
            width: '100%',
            search_contains: true
        });

        $('#status-update-list a').on('click', function () {
            var self = $(this),
                tr = self.closest('tr'),
                removed = tr.data('rem') || false;

            tr.data('rem', !removed);
            tr.find('input').prop('disabled', removed);
            tr.css({textDecoration: removed ? '' : 'line-through'});
            self.toggleClass('btn-danger', removed)
        });

        var products = $('#products'),
            servers = $('#servers');

        function castToString(string) {
            if (typeof string == 'undefined')
                return '';
            return '' + string;
        }
        
        function escapeAttr(attrname, string) {
            string = castToString(string);
            if (!string || !string.length)
                return attrname + '=""';

            var elm = document.createElement('div');
            elm.setAttribute(attrname, string);
            return elm.outerHTML.match(new RegExp(attrname + '=".*?"'))[0];
        }
        function escapeHtml(string) {
            string = castToString(string)
            if (!string || !string.length)
                return '';

            var elm = document.createElement('div');
            elm.createTextNode(string);
            return elm.inerHTML;
        }

        function renderFilters(prefix, filters, initial) {
            var html = '';
            for (var key in filters) {
                var filter = filters[key], value;

                filter.multiple = filter.hasOwnProperty('multiple') ?
                    !!filter.multiple : ['select', 'checkbox'].indexOf(filter.type) > -1;
                filter.class = filter.hasOwnProperty('class') ? filter.class : (filter.type == 'select' && 'chosen' || '');
                filter.key = prefix + '[' + key + ']' + (filter.multiple || filter.type == 'checkbox' ? '[]' : '');

                value = $('[name="' + filter.key + '"]', '#filters').val() || initial[key] || '';
                html += '<div class="filter"><label>' + filter.name + '</label>'
                switch (filter.type) {
                    case 'input':
                    case 'text':
                        html += '<input class="form-control ' + filter.class + '" name="' + filter.key + '" type="text" ' + escapeAttr('value', value) + ' />'
                        break;
                    case 'textarea':
                        html += '<textarea class="form-control ' + filter.class + '" name="' + filter.key + '" >' + escapeHtml(value) + '</textarea>'
                        break;
                    default:
                        html += renderSelect(filter, value);
                }
                if (filter.hasOwnProperty('description'))
                    html += '<div class="help-block">' + filter.description + '</div>';
                html += '</div>'
            }
            return html;
        }

        function renderSelect(filter, value) {
            var html = '<select name="' + filter.key
                + '" class="form-control ' + filter.class + '" '
                + (filter.multiple ? 'multiple' : '') + '>';

            value = Array.isArray(value) ? value : [value];
            for (var j = 0, k = filter.items.length, item; j < k; j++) {
                item = filter.items[j];
                html += '<option ' + escapeAttr('value', item.value) + ' '
                    + (value.indexOf('' + item.value) > -1 ? 'selected' : '')
                    + '>' + item.name + '</option>';
            }

            html += '</select>';
            return html;
        }

        function additionalFilters() {
            var self = $(this),
                target = $('#filters'),
                btn = $('#save-status'),
                initial =  target.data('value') || {},
                data = {
                    products: products.val() || [],
                    servers: servers.val() || [],
                };

            if (!data.products.length && !data.servers.length) {
                target.empty();
                return;
            }

            target.addClass('loading');
            btn.prop('disabled', true);

            $.post('?cmd=status&action=filters', data, function (data) {
                var html = '', filter;

                for (var id in data) {
                    filter = data[id];
                    html += '<div class="filter form-group"><label class="col-sm-2 text-right">' + filter.name + '</label>';
                    html += '<div class="col-sm-5">'
                    html += renderFilters('filter[' + id + ']', filter.filters, initial[id] || {});
                    html += '</div></div>';
                }
                target.html(html);
                $('select.chosen', target).chosenedge({width: '100%'});
            }).fail(function () {
                target.empty();
            }).always(function () {
                btn.prop('disabled', false)
                target.removeClass('loading');
            });
        }
        products.on('change', additionalFilters);
        servers.on('change', additionalFilters)
            .trigger('change');

        return false;
    })

}
function __status_update() {
    $(function () {
        var timepickers = $('.timepicker');
        timepickers.timepicker({
            timeFormat: 'H:i',
            showDuration: true
        })
    });
}
