
<h3>Domain Control Validation (DCV)</h3>
<p>DCV is a mechanism used to prove ownership or control of a registered domain name. </p>
<form action="" method="POST">
    <div id="dcv">
        <div class="form-group" id="dcv-method">
            <label for="ssl-dcv"><strong>Validation Method</strong></label>
            <select name="dcv" id="ssl-dcv">
                {foreach from=$dcvmethods item=dcv}
                    <option value="{$dcv.type}" {if $customdata.dcv == $dcv.type}selected{/if}>{$lang[$dcv.lang]}</option>
                {/foreach}
            </select>
        </div>
        {foreach from=$dcvmethods item=dcv}
            <div class="dcv dcv-{$dcv.type}">
                <p>{$lang[$dcv.descr_lang]}</p>
                {if $dcv.type == 'email'}
                    <hr />
                    {foreach from=$approveremails item=emails key=name}
                        <div class="form-group" >
                            <label>Approval email for <strong>{$name}</strong></label>
                            <select name="approval_email[{$name}]">	
                                {foreach from=$emails item=email}
                                    <option value="{$email}" {if $customdata.approval_email == $email}selected{/if}>{$email}</option>
                                {/foreach}			
                            </select>
                        </div>
                    {/foreach}
                {/if}
            </div>
        {/foreach}
        <hr />
    </div>

    {literal}
        <script>
            $(function () {
                $('#ssl-dcv').on('change', function () {
                    $('#dcv .dcv').hide().filter('.dcv-' + $(this).val()).show();
                }).trigger('change');
            })
        </script>
    {/literal}
    <div class="submit">
        {if $invoice}
            <div class="alert alert-warning">
                Invoice <a href="{$ca_url}clientarea/invoice&id={$invoice.id}">{$invoice|@invoice}</a> needs to be paid before we can issue your certificate
            </div>
        {else}
            <button type="submit" class="btn btn-success">Complete Order</button>
        {/if}
    </div>
    {securitytoken}
</form>