INSERT INTO `hb_reports` (`id`, `type`, `name`, `query`, `options`, `handler`)
VALUES
	(NULL, 'Invoices', 'Detailed list of all invoices in given period - only hosting accounts', 'SELECT DISTINCT i.id as `Invoice ID`,\r\n CONCAT(d.firstname,\' \',d.lastname) as `Client`,\r\n i.total as `Invoice Total`,\r\n i.status as `Invoice Status`,\r\n CASE WHEN hbc.value = \'eu\' THEN DATE(i.datepaid) ELSE DATE(i.date) END as `Invoice Date`,\r\n i.credit as `Invoice Credit`,\r\n m.modname as `Gateway Name`,\r\n taxrate as `Tax1 rate`,\r\n taxrate2 as `Tax2 rate`,\r\n tax as `Tax1 Amount`,\r\n tax2 as `Tax2 Amount`,\r\n i.rate as `Exchange Rate`,\r\n DATE(i.duedate) as `Invoice Due Date`,\r\n DATE(i.datepaid) as `Invoice Paid Date`,\r\n t.trans_id as `Related transaction`,\r\n ca.email as `Client Email`,\r\n d.phonenumber as `Client Phone`,\r\n d.companyname as `Client Company`,\r\n d.city as `Client City`,\r\n d.country as `Client Country`,\r\n d.address1 as `Client Address`,\r\n d.postcode as `Client ZIP`,\r\n a.billingcycle as `Billing Frequency`,\r\n COALESCE(cur.code,sub.main_currency) as `Currency`,\r\n a.date_created as `Start Date`,\r\n DATE(COALESCE(cr.date,\'0000-00-00\')) as `End Date`,\r\n COALESCE(l.total,\'0.00\') as `Last Bill Amount` \r\nFROM hb_invoices i \r\nINNER JOIN hb_invoice_items it ON (it.invoice_id = i.id \r\nAND it.type = \'Hosting\') \r\nINNER JOIN hb_client_details d ON (i.client_id = d.id) \r\nINNER JOIN hb_client_access ca ON (i.client_id = ca.id) \r\nINNER JOIN hb_accounts a ON (a.id = it.item_id) \r\nINNER JOIN (SELECT value as main_currency, 0 as currency_id \r\nFROM hb_configuration \r\nWHERE\r\n setting = \'CurrencyCode\') sub ON sub.currency_id = 0 \r\nLEFT JOIN hb_currencies cur ON cur.id = i.currency_id \r\nLEFT JOIN (SELECT ii.total, aa.id as account_id \r\nFROM hb_invoices ii \r\nINNER JOIN hb_invoice_items iit ON (iit.invoice_id = ii.id \r\nAND iit.type = \'Hosting\') \r\nINNER JOIN hb_accounts aa ON aa.id = iit.item_id \r\nWHERE\r\n ii.date < :date_bottom \r\n\r\nORDER BY ii.id DESC) l ON a.id = l.account_id \r\nLEFT JOIN hb_cancel_requests cr ON a.id = cr.account_id \r\nLEFT JOIN hb_modules_configuration m ON (m.id = i.payment_module) \r\nLEFT JOIN hb_transactions t ON (t.invoice_id = i.id) \r\nLEFT JOIN hb_configuration hbc ON hbc.setting = \'InvoiceModel\' \r\nWHERE\r\n i.id NOT IN (SELECT invoice_id \r\nFROM hb_invoice_items \r\nWHERE\r\n `type` = \'Invoice\') \r\nAND i.status NOT IN (\'Draft\', \'Recurring\', \'Creditnote\') \r\nAND ((hbc.value != \'eu\' \r\nAND i.`date` >= :date_bottom \r\nAND i.`date` <= :date_top) \r\nOR (hbc.value = \'eu\' \r\nAND i.`datepaid` >= :date_bottom \r\nAND i.`datepaid` <= :date_top)) \r\n\r\nORDER BY i.id ASC', 1, 'sql');
